{# Carousel

Carousel displays a number of slides

parameters:
  id: give a unique ID to every widget in the page
  style: additional css style rules for this ID
  class: set additional classes for the widget
  tags: tags for options
  slides: list of slides to display
    image: list with image url (from media path), image class and image alt text
    align: alignment for content. Default centered
    text: text or content for slide
    buttons: list of buttons, each with text, url and class

- #}
{%include "include/widget_style.html" -%}
<div id="{{widget.id}}" class="carousel slide {{widget.class}}" data-bs-ride="carousel">

  <div class="carousel-indicators">
    {% for i,item in enum_list(widget.slides) -%}
    <button type="button" data-bs-target="#{{widget.id}}" data-bs-slide-to="{{i}}" {% if i==0 %}class="active"
      aria-current="true" {% endif %} aria-label="Slide {{i+1}}"></button>
    {% endfor -%}
  </div>

  <div class="carousel-inner">
    {% for i,item in enum_list(widget.slides) -%}
    <div class="carousel-item {% if i==0 %} active{% endif %}">
      <img class="d-block w-100 {{item.image[1]}}" src="{{get_media(item.image[0])}}" alt="{{item.image[2]}}">
      <div class="container">
        <div class="carousel-caption {{if_in('carousel-caption-bg', widget.tags)}} {{item.align}}">
          {{item.text}}
          <p>
            {% for btn in item.buttons -%}
            <a class="btn {{btn[2] or widget.btn_class}}" href="{{btn[1]}}">{{btn[0]}}</a>
            {% endfor -%}
          </p>
        </div>
      </div>
    </div>
    {% endfor -%}
  </div>

  <button class="carousel-control-prev" type="button" data-bs-target="#{{widget.id}}" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#{{widget.id}}" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>
